Bug 603316 - udev waits for 5-10 minutes for raid0
udev waits for 5-10 minutes for raid0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: udev (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Harald Hoyer
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 07:17 EDT by Levente Farkas
Modified: 2010-07-02 10:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 10:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2010-06-12 07:17:51 EDT
hi,
i setup the following partitions
raid1 /boot 200MB
raid0 swap 2x4096MB
raid0 /  all the remaining without lvm.
in this case udev wait about 5-10 minutes at startup, after that i see a lots of /sys/block/.... message and everything work properly. it seems to related to raid0 / partition.

another strange message: 
-----------------------------------------
Starting HAL daemon: OK
Retrigger failed udev eventstrigger: unrecognized option '--retry-failed'  OK
-----------------------------------------
there is the disk setup:
-----------------------------------------
# cat /proc/mdstat 
Personalities : [raid1] [raid0] 
md2 : active raid0 sda3[0] sdb3[1]
      479595520 blocks super 1.1 512k chunks
      
md1 : active raid0 sda1[0] sdb1[1]
      8387584 blocks super 1.1 512k chunks
      
md0 : active raid1 sda2[0] sdb2[1]
      204788 blocks super 1.0 [2/2] [UU]
      
unused devices: <none>
# fdisk -l /dev/sda /dev/sdb

Disk /dev/sda: 250.1 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0xfe78abcd

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1         523     4194304   fd  Linux raid autodetect
Partition 1 does not end on cylinder boundary.
/dev/sda2   *         523         548      204800   fd  Linux raid autodetect
Partition 2 does not end on cylinder boundary.
/dev/sda3             548       30402   239798272   fd  Linux raid autodetect

Disk /dev/sdb: 250.1 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0xaaaaaaaa

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1         523     4194304   fd  Linux raid autodetect
Partition 1 does not end on cylinder boundary.
/dev/sdb2   *         523         548      204800   fd  Linux raid autodetect
Partition 2 does not end on cylinder boundary.
/dev/sdb3             548       30402   239798272   fd  Linux raid autodetect
-----------------------------------------
Comment 2 RHEL Product and Program Management 2010-06-12 07:33:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Harald Hoyer 2010-06-14 13:16:29 EDT
I guess you have an old version of udev and tools?
Which version is this?
Comment 4 Levente Farkas 2010-06-15 02:57:12 EDT
which kind of tools?
anyway everything is from rhel 6 beta ie udev-147-2.6.el6.x86_64
Comment 5 Harald Hoyer 2010-06-25 08:34:24 EDT
Please retest with newer versions and report back, if you still see those messages.
Comment 6 Levente Farkas 2010-07-02 10:16:15 EDT
it's only ~5sec with beta2 so you can close this bug.

Note You need to log in before you can comment on or make changes to this bug.